kdk::KIntroWidget(3)

NAME
kdk::KIntroWidget

SYNOPSIS

Inherits QWidget.

  Signals

void rightClick (QPoint point)

  Public Member Functions

KIntroWidget (QWidget *parent=nullptr)
void setViewType (ViewType type)
设置视图样式
void setMainLabel (QString str)
设置主文本
void setSubLabel (QString str)
设置次级文本
void setBorderRadius (int radius)
设置圆角
void setBorderRadius (int bottomLeft, int topLeft, int topRight, int bottomRight)
设置圆角
void setTitleColor (QColor color)
设置标题颜色

  Protected Member Functions

void paintEvent (QPaintEvent *event)
bool eventFilter (QObject *watched, QEvent *event)
QSize sizeHint () const override
void mousePressEvent (QMouseEvent *event)
void mouseReleaseEvent (QMouseEvent *event)

Member Function Documentation

  void kdk::KIntroWidget::setBorderRadius (int bottomLeft, int topLeft, int topRight, int bottomRight)

设置圆角

Parameters
    bottomLeft
    topLeft
    topRight
    bottomRight

  void kdk::KIntroWidget::setBorderRadius (int radius)

设置圆角

Parameters
    radius

  void kdk::KIntroWidget::setMainLabel (QString str)

设置主文本

Parameters
    str

  void kdk::KIntroWidget::setSubLabel (QString str)

设置次级文本

Parameters
    str

  void kdk::KIntroWidget::setTitleColor (QColor color)

设置标题颜色

Parameters
    color

  void kdk::KIntroWidget::setViewType (ViewType type)

设置视图样式

Parameters
    type

Author

Generated automatically by Doxygen for LIBKYSDK-APPLICATIONS from the source code.